import { PrismaSchema, SchemaDocument } from '../lib/Schema';
import { Position, TextEdit } from 'vscode-languageserver';
import { TextDocument } from 'vscode-languageserver-textdocument';
export declare function getMultifileHelper(fixturePath: string): Promise<MultfileHelper>;
declare class MultfileHelper {
    private baseDir;
    readonly schema: PrismaSchema;
    constructor(baseDir: string, schema: PrismaSchema);
    file(filePath: string): File;
    applyChanges(edits: Record<string, TextEdit[]> | undefined): Record<string, string>;
}
declare class File {
    readonly schemaDocument: SchemaDocument;
    constructor(schemaDocument: SchemaDocument);
    get textDocument(): TextDocument;
    get uri(): string;
    lineContaining(match: string): Line;
}
declare class Line {
    readonly lineNumber: number;
    readonly text: string;
    constructor(lineNumber: number, text: string);
    characterAfter(substring: string): Position;
}
export {};
