"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MessageHandler_1 = require("../lib/MessageHandler");
const vitest_1 = require("vitest");
const helper_1 = require("./helper");
const Schema_1 = require("../lib/Schema");
function assertFormat(fixturePath) {
    const textDocument = (0, helper_1.getTextDocument)(fixturePath);
    const params = {
        textDocument,
        options: {
            tabSize: 2,
            insertSpaces: true,
        },
    };
    const formatResult = (0, MessageHandler_1.handleDocumentFormatting)(Schema_1.PrismaSchema.singleFile(textDocument), textDocument, params);
    (0, vitest_1.expect)(formatResult.length).toBeGreaterThan(0);
}
(0, vitest_1.describe)('Format', () => {
    const fixturePath = './formatting/autoFormat.prisma';
    (0, vitest_1.test)('Format should do something', () => {
        assertFormat(fixturePath);
    });
});
//# sourceMappingURL=format.test.js.map