import { CompletionItem, CompletionList } from 'vscode-languageserver';
import { Block } from '../ast';
import { PrismaSchema } from '../Schema';
/**
 * * Only models and views currently support block attributes
 */
export declare function getSuggestionForBlockAttribute(block: Block, schema: PrismaSchema): CompletionItem[];
/**
 * Should suggest all field attributes for a given field
 * EX: id Int |> @id, @default, @datasourceName, ...etc
 *
 * If `@datasourceName.` |> suggests nativeTypes
 * @param block
 * @param currentLine
 * @param lines
 * @param wordsBeforePosition
 * @param document
 * @returns
 */
export declare function getSuggestionForFieldAttribute(block: Block, currentLine: string, schema: PrismaSchema, wordsBeforePosition: string[], onError?: (errorMessage: string) => void): CompletionList | undefined;
