"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWasmError = exports.isWasmPanic = void 0;
/**
 * Returns true if the given error is a Wasm panic.
 */
function isWasmPanic(error) {
    return error.name === 'RuntimeError';
}
exports.isWasmPanic = isWasmPanic;
function getWasmError(error) {
    const globalWithWasm = globalThis;
    const message = globalWithWasm.PRISMA_WASM_PANIC_REGISTRY.get();
    const stack = [message, ...(error.stack || 'NO_BACKTRACE').split('\n').slice(1)].join('\n');
    return { message, stack };
}
exports.getWasmError = getWasmError;
//# sourceMappingURL=panic.js.map