"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const internals_1 = require("./internals");
function listAllAvailablePreviewFeatures(onError) {
    console.log('running preview_features() from prisma-schema-wasm');
    try {
        if (process.env.FORCE_PANIC_PRISMA_SCHEMA_LOCAL) {
            (0, internals_1.handleFormatPanic)(() => {
                console.debug('Triggering a Rust panic...');
                _1.prismaSchemaWasm.debug_panic();
            });
        }
        const result = _1.prismaSchemaWasm.preview_features();
        return JSON.parse(result);
    }
    catch (e) {
        const err = e;
        (0, internals_1.handleWasmError)(err, 'preview_features', onError);
        return [];
    }
}
exports.default = listAllAvailablePreviewFeatures;
//# sourceMappingURL=listAllAvailablePreviewFeatures.js.map