"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const internals_1 = require("./internals");
function nativeTypeConstructors(schema, onError) {
    try {
        if (process.env.FORCE_PANIC_PRISMA_SCHEMA_LOCAL) {
            (0, internals_1.handleFormatPanic)(() => {
                console.debug('Triggering a Rust panic...');
                _1.prismaSchemaWasm.debug_panic();
            });
        }
        const result = _1.prismaSchemaWasm.native_types(JSON.stringify(schema));
        return JSON.parse(result);
    }
    catch (e) {
        const err = e;
        (0, internals_1.handleWasmError)(err, 'native_types', onError);
        return [];
    }
}
exports.default = nativeTypeConstructors;
//# sourceMappingURL=nativeTypes.js.map