"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiagnosticMap = void 0;
class DiagnosticMap {
    constructor(uris) {
        this._map = new Map();
        for (const uri of uris) {
            this._map.set(uri, []);
        }
    }
    add(fileUri, diagnostic) {
        var _a;
        const entry = (_a = this._map.get(fileUri)) !== null && _a !== void 0 ? _a : [];
        this._map.set(fileUri, entry);
        entry.push(diagnostic);
    }
    get(fileUri) {
        var _a;
        return (_a = this._map.get(fileUri)) !== null && _a !== void 0 ? _a : [];
    }
    entries() {
        return this._map.entries();
    }
}
exports.DiagnosticMap = DiagnosticMap;
//# sourceMappingURL=DiagnosticMap.js.map