"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const internals_1 = require("./internals");
function codeActions(schema, params, onError) {
    try {
        if (process.env.FORCE_PANIC_PRISMA_SCHEMA) {
            (0, internals_1.handleFormatPanic)(() => {
                console.debug('Triggering a Rust panic...');
                _1.prismaSchemaWasm.debug_panic();
            });
        }
        const result = _1.prismaSchemaWasm.code_actions(schema, params);
        return JSON.parse(result);
    }
    catch (e) {
        const err = e;
        (0, internals_1.handleWasmError)(err, 'code_actions', onError);
        return [];
    }
}
exports.default = codeActions;
//# sourceMappingURL=codeActions.js.map