/**
 * Branded type for Wasm panics.
 */
export type WasmPanic = Error & {
    name: 'RuntimeError';
};
/**
 * Returns true if the given error is a Wasm panic.
 */
export declare function isWasmPanic(error: Error): error is WasmPanic;
export declare function getWasmError(error: WasmPanic): {
    message: string;
    stack: string;
};
